<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_162) on Thu May 10 14:42:21 CEST 2018 -->
<title>BoardPanel</title>
<meta name="date" content="2018-05-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BoardPanel";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../geosweep/gui/BoardMouseAdapter.html" title="class in geosweep.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../geosweep/gui/ControlPanel.html" title="class in geosweep.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?geosweep/gui/BoardPanel.html" target="_top">Frames</a></li>
<li><a href="BoardPanel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JPanel">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">geosweep.gui</div>
<h2 title="Class BoardPanel" class="title">Class BoardPanel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>javax.swing.JPanel</li>
<li>
<ul class="inheritance">
<li>geosweep.gui.BoardPanel</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BoardPanel</span>
extends javax.swing.JPanel</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../serialized-form.html#geosweep.gui.BoardPanel">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JPanel</h3>
<code>javax.swing.JPanel.AccessibleJPanel</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h3>
<code>java.awt.Container.AccessibleAWTContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../geosweep/board/Board.html" title="class in geosweep.board">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#board">board</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#end">end</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#infoLabel">infoLabel</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#start">start</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.Timer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#timer">timer</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#width">width</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#BoardPanel--">BoardPanel</a></span>()</code>
<div class="block">Empty Constructor, that adds the titles and background</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#BoardPanel-geosweep.board.Board-">BoardPanel</a></span>(<a href="../../geosweep/board/Board.html" title="class in geosweep.board">Board</a>&nbsp;b)</code>
<div class="block">Constructor with a board to play on</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#addTimer--">addTimer</a></span>()</code>
<div class="block">Adds a timer to the panel,
 that updates the infolabel</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#doubleClick-int-int-">doubleClick</a></span>(int&nbsp;x,
           int&nbsp;y)</code>
<div class="block">Performs a double click on the coordinates</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#drawBackground-java.awt.Graphics-">drawBackground</a></span>(java.awt.Graphics&nbsp;g)</code>
<div class="block">Draws the background for the panel</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#drawBoard-java.awt.Graphics-">drawBoard</a></span>(java.awt.Graphics&nbsp;g)</code>
<div class="block">Draws the board</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#drawHexagon-int-int-int-java.awt.Graphics-java.awt.Color-java.lang.String-">drawHexagon</a></span>(int&nbsp;x,
           int&nbsp;y,
           int&nbsp;width,
           java.awt.Graphics&nbsp;g,
           java.awt.Color&nbsp;c,
           java.lang.String&nbsp;t)</code>
<div class="block">Draws a hexagon</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#drawHexBoard-java.awt.Graphics-">drawHexBoard</a></span>(java.awt.Graphics&nbsp;g)</code>
<div class="block">Draws a hex-shaped board</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#drawRect-int-int-int-java.awt.Graphics-java.awt.Color-java.lang.String-">drawRect</a></span>(int&nbsp;x,
        int&nbsp;y,
        int&nbsp;width,
        java.awt.Graphics&nbsp;g,
        java.awt.Color&nbsp;c,
        java.lang.String&nbsp;t)</code>
<div class="block">Draws a square</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#drawRectBoard-java.awt.Graphics-">drawRectBoard</a></span>(java.awt.Graphics&nbsp;g)</code>
<div class="block">Draws a rectangular-shaped board</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#drawTriangleBoard-java.awt.Graphics-">drawTriangleBoard</a></span>(java.awt.Graphics&nbsp;g)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#evaluate--">evaluate</a></span>()</code>
<div class="block">Evaluates if the game is over, stops the timer and shows an dialog</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>private java.awt.Color</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#getColor-int-">getColor</a></span>(int&nbsp;fieldStatus)</code>
<div class="block">Returns the color for the fieldstatus</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#getContent-int-">getContent</a></span>(int&nbsp;fieldStatus)</code>
<div class="block">Returns the contentString for the fieldstatus</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>private java.lang.Integer[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#getCoordinates-int-int-">getCoordinates</a></span>(int&nbsp;x,
              int&nbsp;y)</code>
<div class="block">Returns the coordinates of a specific field on the board</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>private double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#getDistance-int-int-int-int-">getDistance</a></span>(int&nbsp;x1,
           int&nbsp;y1,
           int&nbsp;x2,
           int&nbsp;y2)</code>
<div class="block">Calculates the euclidean distance of two points</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>private java.lang.Integer[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#getField-int-int-">getField</a></span>(int&nbsp;x,
        int&nbsp;y)</code>
<div class="block">Calculates the position of the field from coordinates
 calculation is done via finding the coordinates with the minimal euclidean distance</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#getFrameHeight--">getFrameHeight</a></span>()</code>
<div class="block">Returns the height of the frame</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#getFrameWidth--">getFrameWidth</a></span>()</code>
<div class="block">Returns the width of the frame</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#leftClick-int-int-">leftClick</a></span>(int&nbsp;x,
         int&nbsp;y)</code>
<div class="block">Performs a left click on the coordinates</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#paintComponent-java.awt.Graphics-">paintComponent</a></span>(java.awt.Graphics&nbsp;g)</code>
<div class="block">Paints the necessary components</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#restart--">restart</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#rightClick-int-int-">rightClick</a></span>(int&nbsp;x,
          int&nbsp;y)</code>
<div class="block">Performs a right click on the coordinates</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/gui/BoardPanel.html#undo--">undo</a></span>()</code>
<div class="block">Undoes the last step</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JPanel</h3>
<code>getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="board">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>board</h4>
<pre>private&nbsp;<a href="../../geosweep/board/Board.html" title="class in geosweep.board">Board</a> board</pre>
</li>
</ul>
<a name="width">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>width</h4>
<pre>private&nbsp;int width</pre>
</li>
</ul>
<a name="timer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timer</h4>
<pre>private&nbsp;javax.swing.Timer timer</pre>
</li>
</ul>
<a name="infoLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>infoLabel</h4>
<pre>private&nbsp;javax.swing.JLabel infoLabel</pre>
</li>
</ul>
<a name="start">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>private&nbsp;java.util.Date start</pre>
</li>
</ul>
<a name="end">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>end</h4>
<pre>private&nbsp;boolean end</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BoardPanel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BoardPanel</h4>
<pre>public&nbsp;BoardPanel()</pre>
<div class="block">Empty Constructor, that adds the titles and background</div>
</li>
</ul>
<a name="BoardPanel-geosweep.board.Board-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BoardPanel</h4>
<pre>public&nbsp;BoardPanel(<a href="../../geosweep/board/Board.html" title="class in geosweep.board">Board</a>&nbsp;b)</pre>
<div class="block">Constructor with a board to play on</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - board to play on</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addTimer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTimer</h4>
<pre>private&nbsp;void&nbsp;addTimer()</pre>
<div class="block">Adds a timer to the panel,
 that updates the infolabel</div>
</li>
</ul>
<a name="undo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undo</h4>
<pre>public&nbsp;void&nbsp;undo()</pre>
<div class="block">Undoes the last step</div>
</li>
</ul>
<a name="restart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restart</h4>
<pre>public&nbsp;void&nbsp;restart()</pre>
</li>
</ul>
<a name="drawBackground-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawBackground</h4>
<pre>private&nbsp;void&nbsp;drawBackground(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Draws the background for the panel</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - graphics object</dd>
</dl>
</li>
</ul>
<a name="getFrameWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFrameWidth</h4>
<pre>private&nbsp;int&nbsp;getFrameWidth()</pre>
<div class="block">Returns the width of the frame</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>width</dd>
</dl>
</li>
</ul>
<a name="getFrameHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFrameHeight</h4>
<pre>private&nbsp;int&nbsp;getFrameHeight()</pre>
<div class="block">Returns the height of the frame</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>height</dd>
</dl>
</li>
</ul>
<a name="drawHexagon-int-int-int-java.awt.Graphics-java.awt.Color-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawHexagon</h4>
<pre>private&nbsp;void&nbsp;drawHexagon(int&nbsp;x,
                         int&nbsp;y,
                         int&nbsp;width,
                         java.awt.Graphics&nbsp;g,
                         java.awt.Color&nbsp;c,
                         java.lang.String&nbsp;t)</pre>
<div class="block">Draws a hexagon</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the center</dd>
<dd><code>y</code> - y position of the center</dd>
<dd><code>width</code> - width of the hexagon</dd>
<dd><code>g</code> - graphics object</dd>
</dl>
</li>
</ul>
<a name="drawHexBoard-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawHexBoard</h4>
<pre>private&nbsp;void&nbsp;drawHexBoard(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Draws a hex-shaped board</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - graphics object</dd>
</dl>
</li>
</ul>
<a name="rightClick-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rightClick</h4>
<pre>public&nbsp;void&nbsp;rightClick(int&nbsp;x,
                       int&nbsp;y)</pre>
<div class="block">Performs a right click on the coordinates</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x coordinates of the click</dd>
<dd><code>y</code> - y coordinates of the click</dd>
</dl>
</li>
</ul>
<a name="doubleClick-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doubleClick</h4>
<pre>public&nbsp;void&nbsp;doubleClick(int&nbsp;x,
                        int&nbsp;y)</pre>
<div class="block">Performs a double click on the coordinates</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x coordinates of the click</dd>
<dd><code>y</code> - y coordinates of the click</dd>
</dl>
</li>
</ul>
<a name="leftClick-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>leftClick</h4>
<pre>public&nbsp;void&nbsp;leftClick(int&nbsp;x,
                      int&nbsp;y)</pre>
<div class="block">Performs a left click on the coordinates</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x coordinates of the click</dd>
<dd><code>y</code> - y coordinates of the click</dd>
</dl>
</li>
</ul>
<a name="evaluate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>evaluate</h4>
<pre>public&nbsp;void&nbsp;evaluate()</pre>
<div class="block">Evaluates if the game is over, stops the timer and shows an dialog</div>
</li>
</ul>
<a name="getField-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getField</h4>
<pre>private&nbsp;java.lang.Integer[]&nbsp;getField(int&nbsp;x,
                                     int&nbsp;y)</pre>
<div class="block">Calculates the position of the field from coordinates
 calculation is done via finding the coordinates with the minimal euclidean distance</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x coordinates</dd>
<dd><code>y</code> - y coordinates</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>position on the board</dd>
</dl>
</li>
</ul>
<a name="getCoordinates-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoordinates</h4>
<pre>private&nbsp;java.lang.Integer[]&nbsp;getCoordinates(int&nbsp;x,
                                           int&nbsp;y)</pre>
<div class="block">Returns the coordinates of a specific field on the board</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>coordinates of the centrum of the field</dd>
</dl>
</li>
</ul>
<a name="getColor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>private&nbsp;java.awt.Color&nbsp;getColor(int&nbsp;fieldStatus)</pre>
<div class="block">Returns the color for the fieldstatus</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldstatus</code> - fieldstatus</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fitting color</dd>
</dl>
</li>
</ul>
<a name="getContent-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContent</h4>
<pre>public&nbsp;java.lang.String&nbsp;getContent(int&nbsp;fieldStatus)</pre>
<div class="block">Returns the contentString for the fieldstatus</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldstatus</code> - fieldstatus</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fitting string</dd>
</dl>
</li>
</ul>
<a name="drawRectBoard-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawRectBoard</h4>
<pre>private&nbsp;void&nbsp;drawRectBoard(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Draws a rectangular-shaped board</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - graphics object</dd>
<dd><code>x</code> - number of columns</dd>
<dd><code>y</code> - number of rows</dd>
</dl>
</li>
</ul>
<a name="drawRect-int-int-int-java.awt.Graphics-java.awt.Color-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawRect</h4>
<pre>private&nbsp;void&nbsp;drawRect(int&nbsp;x,
                      int&nbsp;y,
                      int&nbsp;width,
                      java.awt.Graphics&nbsp;g,
                      java.awt.Color&nbsp;c,
                      java.lang.String&nbsp;t)</pre>
<div class="block">Draws a square</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - number of columns</dd>
<dd><code>y</code> - number of rows</dd>
<dd><code>width</code> - width of the square</dd>
<dd><code>g</code> - graphics object</dd>
</dl>
</li>
</ul>
<a name="drawBoard-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawBoard</h4>
<pre>private&nbsp;void&nbsp;drawBoard(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Draws the board</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - graphics object</dd>
</dl>
</li>
</ul>
<a name="drawTriangleBoard-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawTriangleBoard</h4>
<pre>private&nbsp;void&nbsp;drawTriangleBoard(java.awt.Graphics&nbsp;g)</pre>
</li>
</ul>
<a name="paintComponent-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintComponent</h4>
<pre>public&nbsp;void&nbsp;paintComponent(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Paints the necessary components</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>paintComponent</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - graphics object</dd>
</dl>
</li>
</ul>
<a name="getDistance-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDistance</h4>
<pre>private&nbsp;double&nbsp;getDistance(int&nbsp;x1,
                           int&nbsp;y1,
                           int&nbsp;x2,
                           int&nbsp;y2)</pre>
<div class="block">Calculates the euclidean distance of two points</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x1</code> - x coordinate first point</dd>
<dd><code>y1</code> - y coordinate first point</dd>
<dd><code>x2</code> - x coordinate second point</dd>
<dd><code>y2</code> - y coordinate second point</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>euclidean distance</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../geosweep/gui/BoardMouseAdapter.html" title="class in geosweep.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../geosweep/gui/ControlPanel.html" title="class in geosweep.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?geosweep/gui/BoardPanel.html" target="_top">Frames</a></li>
<li><a href="BoardPanel.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JPanel">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
